import {Component, Input, OnInit} from '@angular/core';
import {Router} from '@angular/router';
import {SocketDataService} from '../dao/socketDataService';
import {Subscription} from 'rxjs';

@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {

  constructor(private router: Router,
              private socketDataService: SocketDataService) { }

  ngOnInit(): void {
  }

  toStartpage(): void {
    this.socketDataService.disconect();
    this.router.navigate(['']);
  }
}
